Skip to main content
List sent messages

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard. The LithoBlocks MCP server also presents a Supabase-issued user session token here on the user's behalf; such a token acts as that user with the scopes their organization role allows.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer | null
default:0
Required range: x >= 0
template_id
string<uuid>
channel_id
string
Required string length: 1 - 255
message_ts
string

Find one message by its Slack timestamp; combine with channel_id.

Maximum string length: 40
Pattern: ^\d+\.\d+$
lifecycle
enum<string>

What has happened to the message in Slack since it was sent.

Available options:
live,
deleted,
expired
source
enum<string>

How it was sent. Null for messages sent before 2026-10-22.

Available options:
api,
api_bulk,
web,
scheduled,
digest,
slash
reference
string
Required string length: 1 - 255
sent_after
string<date-time>
sent_before
string<date-time>
expires_before
string<date-time>

Messages with a pending expiry before this time.

Response

Sent messages

data
object[]
required
pagination
object
required
total
number
required
limit
number
required
offset
number
required